Release Notes

General Anouncement

Date : 2021-10-14

CSE 3.0.4 GA (3.0.4)

Release Date: 2021-07-23

Supported (and Tested) VCD versions : 10.2.2, 10.1.3, 10.0.0.3

Note : Future update or patch releases of these VCD versions will be supported by CSE 3.0.4, but they will not be tested individually. If a bug is found in the interoperability, please file a github issue and bring it to our attention.

CSE Server CSE CLI Kubernetes Container Clusters UI Plug-in Cloud Director NSX-T Enterprise PKS with NSX-T Features offered
3.0.4 3.0.4 2.3.0** 10.2.2 3.0.2, 3.1.2 1.7 with 2.5.1 Native, TKG, TKG-S, and Enterprise PKS Cluster management; Runtime Defined entity representation for native, TKG and TKG-S.
3.0.4 3.0.4 1.0.3 10.1, 10.0 NA 1.7 with 2.5.1 Native and Enterprise PKS cluster management
NA 3.0.4 2.3.0** 10.2.2 NA NA TKG-S cluster management only

** Kubernetes Container Clusters UI Plug-in v2.3.0 should be downloaded separately from here and manually uploaded to VCD. By default, VCD 10.2.2 will have Kubernetes Container Clusters UI Plug-in v2.2.0.

What’s New

CSE 3.0.3 GA (3.0.3)

Release Date: 2021-06-24

Supported (and Tested) VCD versions : 10.2.2, 10.1.3, 10.0.0.3

Note : Future update or patch releases of these VCD versions will be supported by CSE 3.0.3, but they will not be tested individually. If a bug is found in the interoperability, please file a github issue and bring it to our attention.

CSE Server CSE CLI Kubernetes Container Clusters UI Plug-in Cloud Director NSX-T Enterprise PKS with NSX-T Features offered
3.0.3 3.0.3 2.3.0** 10.2.2 3.0.2, 3.1.2 1.7 with 2.5.1 Native, TKG, TKG-S, and Enterprise PKS Cluster management; Runtime Defined entity representation for native, TKG and TKG-S.
3.0.3 3.0.3 1.0.3 10.1, 10.0 NA 1.7 with 2.5.1 Native and Enterprise PKS cluster management
NA 3.0.3 2.3.0** 10.2.2 NA NA TKG-S cluster management only

** Kubernetes Container Clusters UI Plug-in v2.3.0 should be downloaded separately from here and manually uploaded to VCD. By default, VCD 10.2.2 will have Kubernetes Container Clusters UI Plug-in v2.2.0.

What’s New

Notes to System Administrator If you are upgrading from an existing CSE 3.0.x installation please be aware of the issue related to runtime defined entities listed in Known Issues.

CSE 3.1.0 Beta (3.1.0.0b1)

Release Date: 2021-04-14

Supported VCD versions: 10.3.0-Beta, 10.2.2, 10.1.3, 10.0.0.3

CSE Server CSE CLI CSE UI Cloud Director Cloud Director NSX-T Ent-PKS with NSX-T Features offered
3.1.0 3.1.0 3.0.2** 10.3.0-beta, 10.2.2 3.0.2, 3.1.2 1.7 with 2.5.1 Native, Tkg, and Ent-PKS Cluster management; Defined entity representation for both native and tkg.
3.1.0 3.1.0 1.0.3 10.1, 10.0 NA 1.7 with 2.5.1 Native and Ent-PKS cluster management
NA 3.1.0 3.0.2** 10.3.0-beta, 10.2.2 NA NA Tkg cluster management only

Installation of binaries

pip install container-service-extension==3.1.0.0b1

Note: pip install container-service-extension installs previous official version of CSE viz. 3.0.2. Specify the above mentioned exact version to install CSE 3.1.0 beta.

What’s New

Notes to System Administrator If you are upgrading from an existing CSE 3.0.x installation please be aware of the issue related to runtime defined entities listed in Known Issues.

Known issues specific to 3.1.0-beta: Resizing an empty cluster will fail for non-null values of sizingClass and storageProfile in the input yaml spec. Workaround: specify storageProfile: null and sizingClass: null in the vcd cse cluster apply specification for worker/nfs nodes.


CSE 3.0.2 GA (3.0.2)

Release Date: 2021-04-08

Supported (and Tested) VCD versions : 10.2.2, 10.1.3, 10.0.0.3

Note : Future update/patch releases of these vCD versions will be supported by CSE but they won’t be tested individually. If a bug is found in their interoperability with CSE, please file a github issue, the same will be fixed in a future CSE release.

CSE Server CSE CLI CSE UI Cloud Director Cloud Director NSX-T Ent-PKS with NSX-T Features offered
3.0.2 3.0.2 2.2.0** 10.2.2 3.0.2, 3.1.2 1.7 with 2.5.1 Native, Tkg, and Ent-PKS Cluster management; Defined entity representation for both native and tkg.
3.0.2 3.0.2 1.0.3 10.1, 10.0 NA 1.7 with 2.5.1 Native and Ent-PKS cluster management
NA 3.0.2 2.2.0** 10.2.2 NA NA Tkg cluster management only

** Kubernetes clusters UI plug-in 2.2.0 ships with VCD 10.2.2

What’s New

Notes to System Administrator If you are upgrading from an existing CSE 3.0.x installation please be aware of the issue related to runtime defined entities listed in Known Issues.

CSE 3.0.1 GA (3.0.1)

Release Date: 2020-11-06

Supported (and Tested) VCD versions : 10.2, 10.1.2, 10.0.0.3

Note : Future update/patch releases of these vCD versions will be supported by CSE but they won’t be tested individually. If a bug is found in their interoperability with CSE, please file a github issue, the same will be fixed in a future CSE release.

CSE Server CSE CLI CSE UI Cloud Director Ent-PKS with NSX-T Features offered
3.0.1 3.0.1 2.0* 10.2 1.7 with 2.5.1 Native, Tkg, and Ent-PKS Cluster management; Defined entity representation for both native and tkg.
3.0.1 3.0.1 1.0.3 10.1, 10.0 1.7 with 2.5.1 Native and Ent-PKS cluster management
NA 3.0.1 2.0* 10.2 NA Tkg cluster management only

2.0* -> Kubernetes clusters UI plug-in 2.0 ships with VCD 10.2

What’s New

Notes to System Administrator

If you are upgrading from an existing CSE 3.0.0 installation please be aware of the issue related to runtime defined entities listed in Known Issues.

CSE 3.0

Release Date: 2020-10-15

Supported (and Tested) VCD versions : 10.2, 10.1.2, 10.0.0.3

Compatibility matrix and relevant features

CSE Server CSE CLI CSE UI Cloud Director Ent-PKS with NSX-T Features offered
3.0 3.0 2.0* 10.2 1.7 with 2.5.1 Native, Tkg, and Ent-PKS Cluster management; Defined entity representation for both native and tkg.
3.0 3.0 1.0.3 10.1, 10.0 1.7 with 2.5.1 Native and Ent-PKS cluster management
NA 3.0 2.0* 10.2 NA Tkg cluster management only

2.0* -> Kubernetes clusters UI plug-in 2.0 ships with VCD 10.2

  1. Refer to What’s new in CSE 3.0? for more details.
  2. Newer versions of native kubernetes templates are available. Refer to Template Announcements

CSE 2.6.1 GA(2.6.1)

Release Date: 2020-04-30

Supported (and Tested) VCD versions : 9.5.0.4, 9.7.0.4, 10.0.0.1, 10.1.0

Note : Future update/patch releases of these vCD versions will be supported by CSE but they won’t be tested individually. If a bug is found in their interoperability with CSE, please file a github issue, the same will be fixed in a future CSE release.

Enterprise PKS compatibility matrix

CSE VCD Enterprise PKS NSX-T Support status
2.6.1 9.5.0.4, 9.7.0.4, 10.0.0.1, 10.1.0.0 1.7 2.5.1 Supported and Tested
2.6.1 9.5.0.5+, 9.7.0.5+, 10.0.0.2+, 10.1.0.1+ 1.7 2.5.1 Supported but not Tested

CSE UI plugin compatibility matrix

CSE VCD CSE UI plugin Support status
2.6.1 10.1.0.0 1.0.1 Supported and Tested
2.6.1 10.1.0.1+ 1.0.1 Supported but not Tested

What’s New

Notes to System Administrator

If you are upgrading to CSE 2.6.1 from an older version of CSE, and you have

This command adds new metadata to the clusters. If the clusters were deployed by CSE version below 2.5.0, the command will also reset the admin password of all nodes in the clusters. If nodes in the clusters were setup with ssh keys for root login, those key pairings will be preserved. The command will force a reboot of the clusters, if admin password is reset.

Enterprise PKS

Existing Enterprise PKS clusters deployed via CSE will continue to function when PKS is upgraded to version 1.7. The cluster network isolation will also remain intact when NSX-T is upgraded to version 2.5.1. Please follow PKS and NSX-T manual(s) to perform the respective upgrades.


CSE 2.6.0 GA(2.6.0)

Release Date: 2020-04-09

Supported VCD versions: 9.5.0.4, 9.7.0.4, 10.0.0.1, 10.1.0

Enterprise PKS compatibility matrix

CSE VCD Enterprise PKS NSX-T
2.6.0 9.5.0.4, 9.7.0.4, 10.0.0.1, 10.1.0 1.4 2.3, 2.4

CSE UI plugin compatibility matrix

CSE VCD CSE UI plugin
2.6.0 10.1.0 1.0.0

New Features

Notes to System Administrator

Upgrade from CSE 2.6.0.0b1 is not supported.

If you are upgrading to CSE 2.6.0 from an older version of CSE, and you have pre-existing deployed K8s clusters, you must run the following command:

cse convert-cluster

This command adds new metadata to the cluster. If the cluster was deployed by CSE version below 2.5.0, the command will also reset the admin password of all nodes in the cluster. If nodes in the cluster are setup with ssh keys for root login, those key pairings will be preserved. The command will force a reboot of the cluster, if admin password is reset.


CSE 2.6.0 Beta (2.6.0.0b1)

Release Date: 2020-02-05

Supported VCD versions: 9.5.0.4, 9.7.0.4, 10.0.0.1, 10.1.0

Enterprise PKS compatibility matrix

CSE VCD Enterprise PKS NSX-T
2.6.0.0b1 9.5.0.4, 9.7.0.4, 10.0.0.1, 10.1.0-Beta 1.4 2.3, 2.4

Installation of binaries

pip install container-service-extension==2.6.0.0b1
# or
pip install container-service-extension --pre

Note: pip install container-service-extension installs previous official version of CSE viz. 2.5.1. Specify the above mentioned exact version to install CSE 2.6.0 beta.

New Features

Notes to System Administrator

If you are upgrading to CSE 2.6.0.0b1 and you have pre-existing K8s clusters deployed from CSE 2.5.1 or below, you must run the following command to preserve manageability of those clusters in CSE 2.6.0.0b1.

cse convert-cluster

This command resets the admin password of all nodes in the clusters deployed by CSE 2.0.0 and below. The command also formats the metadata on the cluster to match CSE 2.6.0.0b1’s cluster metadata format. If nodes in the cluster are setup with ssh keys for root login, those key pairings will be preserved. The command does a force reboot of the cluster deployed by CSE 2.0.0 and below.


CSE 2.5.1

Release Date: 2019-10-23

Supported VCD versions: 9.1, 9.5, 9.7, 10.0

Enterprise PKS compatibility matrix

CSE VCD Enterprise PKS NSX-T
2.5.0 9.1, 9.5, 9.7, 10.0 1.4 2.3, 2.4

New Features

Bug Fixes


CSE 2.5.0

Release Date: 2019-10-03

Supported VCD versions: 9.1, 9.5, 9.7, 10.0

Enterprise PKS compatibility matrix

CSE VCD Enterprise PKS NSX-T
2.5.0 9.1, 9.5, 9.7, 10.0 1.4 2.3, 2.4

New Features

Notes to System Administrator

Upgrade from CSE 2.5.0.0b1 is not supported.

If you are upgrading to CSE 2.5.0 from any other version of CSE, and you have preexisting deployed K8s clusters, you must run the following command to preserve manageability of those clusters in CSE 2.5.0.

cse convert-cluster

This command resets the admin password of all nodes in the cluster, as well as, adds new metadata to the cluster. If nodes in the cluster are setup with ssh keys for root login, those key pairings will be preserved. The command does a force reboot of the cluster.


CSE 2.5.0 Beta (2.5.0.0b1)

Release Date: 2019-09-06

Supported VCD versions: 9.1, 9.5, 9.7

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 18.06.2 1.12.7 Weave 2.3.0
Ubuntu 16.04 LTS 18.09.7 1.13.5 Weave 2.3.0
Ubuntu 16.04 LTS 18.09.7 1.15.3 Weave 2.5.2

Installation of binaries

pip install container-service-extension==2.5.0.0b1

or

pip install container-service-extension --pre

Note: pip install container-service-extension installs previous official version of CSE - 2.0.0. Specify the above mentioned exact version to install CSE 2.5.0 beta.

New Features

Compatibility matrix

CSE VCD Enterprise PKS NSX-T
2.5.0 Beta 9.1, 9.5, 9.7 1.4 2.3, 2.4

Notes to System Administrator

If you are upgrading to CSE 2.5.0.0b1 and you have pre-existing K8s clusters deployed from CSE 2.0.0 or below, you must run the following command to preserve manageability of those clusters in CSE 2.5.0.0b1.

cse convert-cluster

This command resets the admin password of all nodes in the cluster, as well as, adds new metadata to the cluster. If nodes in the cluster are setup with ssh keys for root login, those key pairings will be preserved. The command does a force reboot of the cluster.


CSE 2.0.0

Release Date: 2019-05-24

Supported VCD versions: 9.1, 9.5, 9.7.

Native VCD Templates

Native VCD templates need to be updated to avail below versions of K8 distributions.

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.0-9 (17.06.0-ce) 1.12.7 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.06.3-ce 1.13.5 Weave 2.3.0

New Updates

Enterprise PKS Compatibility matrix

CSE Supported VCD Versions Enterprise PKS NSX-T
2.0.0 9.5, 9.7 1.4 2.3
2.0.0 9.5, 9.7 1.4 2.4

Notes to System Administrator

When more than one K8 provider exists in the system, system administrator is required to perform an extra step of enabling organization vdc(s) with a desired K8 provider (Native/Enterprise PKS).

To be specific,

Click here for more details.

VCD Native templates patching

Action required (by Admins and Users)


CSE 2.0 Beta (2.0.0.0b1)

This version is meant to be used for fresh installations of CSE only

Release Date: 2019-04-26

Supported VCD versions: 9.5, 9.7

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.0-9 (17.06.0-ce) 1.10.11 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.06.3-ce 1.13.5 Weave 2.3.0

Installation of binaries

Note: pip install container-service-extension installs previous official version of CSE - 1.2.7. Specify the above mentioned exact version to install CSE 2.0 beta.

New Features

Compatibility matrix

CSE VCD Enterprise PKS NSX-T
2.0 Beta 9.5, 9.7 1.4 2.3

CSE 1.2.7

Release Date: 2019-02-15

Supported VCD versions: 9.1, 9.5

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.0-9 (17.06.0-ce) 1.10.11 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.06.2-ce 1.10.11 Weave 2.3.0

Bug Fixes

Systems Patching

Action required (by Admins and Users)

Known Issues:


CSE 1.2.6

Release Date : 2019-02-04

Supported VCD versions: 9.1, 9.5

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.4-ce 1.10.11 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.03.0-ce 1.10.11 Weave 2.3.0

New Feature:

Bug Fixes:

Known Issues:


CSE 1.2.5

Release date: 2018-12-03

This is a security release to address Kubernetes CVE-2018-1002105

Supported VCD versions: 9.0, 9.1, 9.5

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.4-ce 1.10.11 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.03.0-ce 1.10.11 Weave 2.3.0

Bug Fixes:

Systems patching:


CSE 1.2.4

Release date: 2018-11-26

Supported VCD versions: 9.0, 9.1, 9.5

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.4-ce 1.9.1 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.03.0-ce 1.10.1 Weave 2.3.0

New Feature:

Usability Improvements and Bug Fixes:

Documentation:


CSE 1.2.3

Replaced with 1.2.4 due to bug where control plane node creation fails during cluster create command.


CSE 1.2.2

Release date: 2018-10-29

Supported VCD versions: 9.0, 9.1, 9.5

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.4-ce 1.9.1 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.03.0-ce 1.10.1 Weave 2.3.0

Bug Fixes:


CSE 1.2.1

Release date: 2018-10-23

Supported VCD versions: 9.0, 9.1, 9.5

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.4-ce 1.9.1 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.03.0-ce 1.10.1 Weave 2.3.0

Usability Improvements and Bug Fixes:

Documentation:


CSE 1.2.0

Release date: 2018-10-02

Supported VCD versions: 9.0, 9.1, 9.5

Template OS Docker Kubernetes Pod Network
Photon OS 2.0 GA 17.06.4-ce 1.9.1 Weave 2.3.0
Ubuntu 16.04.4 LTS 18.03.0-ce 1.10.1 Weave 2.3.0

Security Improvements:

Usability Improvements and Bug Fixes:

Documentation:


CSE 1.1.0

Release date: 2018-06-15

VCD OS Docker Kubernetes Pod Network
8.10 and up Photon OS 2.0 GA 17.06.4-ce 1.9.1 Weave 2.3.0
8.10 and up Ubuntu 16.04.4 LTS 18.03.0-ce 1.10.1 Weave 2.3.0

Maintenance release:

Usibility Improvements and Bug Fixes:


CSE 1.0.0

Release date: 2018-03-09

VCD OS Docker Kubernetes Pod Network
8.10 and up Photon OS 2.0 GA 17.06.0-ce 1.8.1 Weave 2.0.5
8.10 and up Ubuntu 16.04.3 LTS 17.12.0-ce 1.9.3 Weave 2.1.3

CSE General Availability (GA), improvements and bug fixes:


CSE 0.4.2

Release date: 2018-02-15

VCD OS Docker Kubernetes Pod Network
8.10 and up Photon OS 2.0 GA 17.06.0-ce 1.8.1 Weave 2.0.5
8.10 and up Ubuntu 16.04.3 LTS 17.12.0-ce 1.9.3 Weave 2.1.3

Maintenance release, improvements and bug fixes:


CSE 0.4.1

Release date: 2018-02-05

Maintenance release, improvements and bug fixes:


CSE 0.4.0

Release date: 2018-01-26

VCD OS Docker Kubernetes Pod Network
8.10 and up Photon OS 2.0 GA 17.06.0-ce 1.8.1 Weave 2.0.5
8.10 and up Ubuntu 16.04.3 LTS 17.12.0-ce 1.9.1 Weave 2.1.3

New features:


CSE 0.3.0

Release date: 2018-01-10

VCD OS Docker Kubernetes Pod Network
8.10 and up Photon OS 1.0, Rev 2 17.06.0-ce 1.8.1 Weave 2.0.5
8.10 and up Ubuntu 16.04.3 LTS 17.09.0-ce 1.8.2 Weave 2.0.5

New features:


CSE 0.2.0

Release date: 2017-12-29

VCD OS Docker Kubernetes Pod Network
8.10 and up Photon OS 1.0, Rev 2 17.06.0-ce 1.8.1 Weave 2.0.5
8.10 and up Ubuntu 16.04.3 LTS 17.09.0-ce 1.8.2 Weave 2.0.5

New features:


CSE 0.1.2

Release date: 2017-11-10

VCD OS Kubernetes Pod Network
8.10 and up Photon OS 1.0, Rev 2 1.7.7 Weave 2.0.5
8.10 and up Ubuntu 16.04.3 LTS 1.8.2 Weave 2.0.5

Features:


CSE 0.1.1

Release date: 2017-10-03

VCD OS Kubernetes Pod Network
8.10 and up Photon OS 1.0, Rev 2 1.7.7 Weave 2.0.4

Features: